"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.workerPubSubChannel = exports.initWorkerQueue = exports.workerQueueId = void 0;
const bee_queue_1 = __importDefault(require("bee-queue"));
const redis_1 = __importDefault(require("redis"));
exports.workerQueueId = `lage:npm-task:${process.env.LAGE_WORKER_QUEUE_ID || "default"}`;
exports.initWorkerQueue = async (config, isWorker = true) => {
    const redisClient = redis_1.default.createClient(config.redis);
    const workerQueue = new bee_queue_1.default(exports.workerQueueId, Object.assign(Object.assign({}, config), { isWorker }));
    if (!isWorker) {
        await workerQueue.destroy();
    }
    return { workerQueue, redisClient };
};
exports.workerPubSubChannel = `lage_pubsub_${process.env.LAGE_WORKER_QUEUE_ID || "default"}`;
